Перейти к содержанию

Совместимость Валарм WAF с версиями NGINX

Валарм WAF совместим с версией NGINX mainline?

Нет, модуль Валарм WAF несовместим с версией NGINX mainline. Вы можете установить модуль Валарм WAF следующим образом:

  • подключить к официальной бесплатной версии NGINX stable по инструкции

  • подключить к версии NGINX, установленной из репозитория Debian/CentOS, по инструкции

  • подключить к официальной коммерческой версии NGINX Plus по инструкции

Модуль Валарм WAF может быть подключен к кастомной сборке NGINX?

Да, после пересборки модуль Валарм WAF может быть подключен к кастомной сборке NGINX. Для пересборки динамического модуля свяжитесь с технической поддержкой Валарм и отправьте результаты выполнения команд:

  • Версия ядра Linux: uname -a

  • Версия операционной системы Linux: cat /etc/*release

  • Версия установленного NGINX:

  • Сигнатура совместимости:

  • Пользователь (и его группа), от имени которого запускаются worker-процессы NGINX: grep -w 'user' <путь к конфигурационным файлам NGINX/nginx.conf>